MHonArc::UTF8::MhaEncode(3)

NAME
MHonArc::UTF8::MhaEncode - UTF-8 based routines for MHonArc

SYNOPSIS
  use MHonArc::UTF8::MhaEncode;

DESCRIPTION
MHonArc::UTF8::MhaEncode provides UTF-8 related routines for use in MHonArc. Implementation of routines are designed to work with non-Unicode aware versions of Perl 5.

This module is generally not accessed directly since it is used by MHonArc::UTF8 when determining what encoding routines it can use based on your perl installation. However, the following shows you how to use it directly:

  <CharsetConverters override>
  plain;   mhonarc::htmlize;
  default; MHonArc::UTF8::MhaEncode::str2sgml; MHonArc/UTF8/MhaEncode.pm
  </CharsetConverters>

  <TextClipFunc>
  MHonArc::UTF8::MhaEncode::clip; MHonArc/UTF8/MhaEncode.pm
  </TextClipFunc>

FUNCTIONS

"to_utf8($data, $from_charset, $to_charset)"
    Converts $data encoded in $from_charset into UTF-8. $to_charset is ignored since it assumed to be "utf-8".

"str2sgml($data, $charset)"
    All data passed in is converted to utf-8 with HTML specials converted into entity references.

"clip($text, $clip_len, $is_html, $has_tags)"
    Clip $text to $clip_len number of characters.

SEE ALSO
MHonArc::UTF8

VERSION
"$Id: MhaEncode.pm,v 1.3 2003/03/05 22:17:15 ehood Exp $"

AUTHOR
Earl Hood, earl@earlhood.com

MHonArc comes with ABSOLUTELY NO WARRANTY and MHonArc may be copied only under the terms of the GNU General Public License, which may be found in the MHonArc distribution.